Are asset bundles Unity version specific?

Hi,

I have a client who has an app built in Unity 3.4 by another development company. I am assisting in helping the client add models on release. The models are imported as asset bundles. As the original app is written in 3.4 and I’m building asset bundles from 4.5 is that why they are not loading? Is it because my asset bundles are created using a later version of Unity?

The asset bundle FAQ in the docs has an in-depth explanation which tells you when asset bundles can be shared across versions. (3.4 added the TypeTree feature.)

To answer your question, a 3.4 app cannot load asset bundles created with 4.5.